<?php

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'top' => t('Toolbar top'),
    'bottom' => t('Toolbar bottom'),
    'toolbarbtn' => t('Toolbar button background'),
    'toolbarborder' => t('Toolbar button border'),
    'toolbartext' => t('Toolbar Text color'),
    'menutext' => t('Space Menu Text color'),
    'bg' => t('Main background'),
    'contentareabg' => t('Content background'),
    'headerbg' => t('Secondary background (Header)'),
    'menubg' => t('Space Menu background color'),
    'menutabs' => t('Space Menu tab color'),
    'menuttabsactivetext' => t('Space Menu tab active text color'),
    'titleslogan' => t('Secondary text (Title and slogan)'),
    'text' => t('Text color'),
    'heading' => t('Heading Text color (h2, h3, h4, h5)'),
    'sidebar' => t('Sidebar background'),
    'sidebartopbg' => t('Sidebar header top background'),
    'sidebarbottombg' => t('Sidebar header bottom background'),
    'sidebarborders' => t('Sidebar borders'),
    'sidebarheadertext' => t('Sidebar header text'),
    'sidebartext' => t('Sidebar text'),
    'footer' => t('Footer background'),
    'link' => t('Link color'),
    'linkactive' => t('Link (active)'),
    'linkhover' => t('Link (hover)'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Bootstrap (default)'),
      'colors' => array(
        'top' => '#222222',
        'bottom' => '#111111',
        'toolbarbtn' => '#333333',
        'toolbarborder' => '#333333',
        'bg' => '#ffffff',
        'contentareabg' => '#ffffff',
        'headerbg' => '#003853',
        'menubg' => '#111111',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#111111',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#e6e6e6',
        'sidebarborders' => '#e3e3e3',
        'sidebarheadertext' => '#3b3b3b',
        'sidebartext' => '#3b3b3b',
        'footer' => '#003853',
        'toolbartext' => '#fffeff',
        'menutext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'heading' => '#3b3b3b',
        'link' => '#0071B3',
        'linkactive' => '#23aeff',
        'linkhover' => '#018fe2',
      ),
    ),
    'bluelagoon' => array(
      'title' => t('Blue Lagoon'),
      'base' => '#48a9e4',
      'colors' => array(
        'top' => '#0779bf',
        'bottom' => '#48a9e4',
        'toolbarbtn' => '#0879bf',
        'toolbarborder' => '#0879bf',
        'bg' => '#ffffff',
        'headerbg' => '#0d649c',
        'menubg' => '#48a9e4',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#48a9e4',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#9fcae5',
        'sidebarborders' => '#c6d7e1',
        'sidebartext' => '#3b3b3b',
        'footer' => '#292929',
        'toolbartext' => '#fffeff',
        'menutext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'heading' => '#48a9e4',
        'link' => '#0071B3',
      ),
    ),
    'firehouse' => array(
      'title' => t('Firehouse'),
      'base' => '#d6121f',
      'colors' => array(
        'top' => '#cd2d2d',
        'bottom' => '#cf3535',
        'toolbarbtn' => '#b12525',
        'toolbarborder' => '#b12525',
        'bg' => '#ffffff',
        'menubg' => '#cf3535',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#cf3535',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#ec8484',
        'sidebarborders' => '#e8b5b5',
        'sidebartext' => '#3b3b3b',
        'footer' => '#1f1d1c',
        'toolbartext' => '#fffeff',
        'menutext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'heading' => '#cf3535',
        'link' => '#d6121f',
      ),
    ),
    'ice' => array(
      'title' => t('Ice'),
      'base' => '#019dbf',
      'colors' => array(
        'top' => '#d0d0d0',
        'bottom' => '#c2c4c5',
        'toolbarbtn' => '#dedede',
        'toolbarborder' => '#dedede',
        'bg' => '#ffffff',
        'headerbg' => '#7999a0',
        'menubg' => '#c2c4c5',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#c2c4c5',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#ffffff',
        'sidebarborders' => '#cccccc',
        'sidebartext' => '#4a4a4a',
        'footer' => '#24272c',
        'toolbartext' => '#000000',
        'menutext' => '#000000',
        'titleslogan' => '#000000',
        'text' => '#4a4a4a',
        'heading' => '#c2c4c5',
        'link' => '#019dbf',
      ),
    ),
    'plum' => array(
      'title' => t('Plum'),
      'base' => '#4c1c58',
      'colors' => array(
        'top' => '#4c1c58',
        'bottom' => '#593662',
        'toolbarbtn' => '#401050',
        'toolbarborder' => '#401050',
        'bg' => '#fffdf7',
        'menubg' => '#593662',
        'menutabs' => '#fffdf7',
        'menuttabsactivetext' => '#593662',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#d4b1dd',
        'sidebarborders' => '#e4d3e9',
        'sidebartext' => '#301313',
        'footer' => '#2c2c28',
        'toolbartext' => '#ffffff',
        'menutext' => '#ffffff',
        'titleslogan' => '#ffffff',
        'text' => '#301313',
        'heading' => '#593662',
        'link' => '#9d408d',
      ),
    ),
    'forest' => array(
      'title' => t('Forest'),
      'base' => '#28870d',
      'colors' => array(
        'top' => '#28870d',
        'bottom' => '#43b329',
        'toolbarbtn' => '#25830c',
        'toolbarborder' => '#25830c',
        'bg' => '#ffffff',
        'menubg' => '#43b329',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#43b329',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#b6f4a4',
        'sidebarborders' => '#c5eeba',
        'sidebartext' => '#3b3b3b',
        'footer' => '#1f1d1c',
        'toolbartext' => '#fffeff',
        'menutext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'heading' => '#43b329',
        'link' => '#28870d',
      ),
    ),
    'slate' => array(
      'title' => t('Slate'),
      'base' => '#0073b6',
      'colors' => array(
        'top' => '#4a4a4a',
        'bottom' => '#4e4e4e',
        'toolbarbtn' => '#464646',
        'toolbarborder' => '#464646',
        'bg' => '#ffffff',
        'headerbg' => '#000000',
        'menubg' => '#4e4e4e',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#4e4e4e',
        'sidebar' => '#ffffff',
        'sidebartopbg' => '#ffffff',
        'sidebarbottombg' => '#e6e6e6',
        'sidebarborders' => '#e3e3e3',
        'sidebartext' => '#3b3b3b',
        'footer' => '#161617',
        'toolbartext' => '#ffffff',
        'menutext' => '#ffffff',
        'titleslogan' => '#ffffff',
        'text' => '#3b3b3b',
        'heading' => '#4e4e4e',
        'link' => '#0073b6',
      ),
    ),
    'phase2' => array(
      'title' => t('Phase2'),
      'base' => '#0073b6',
      'colors' => array(
        'top' => '#FE7900',
        'bottom' => '#FE7900',
        'toolbarbtn' => '#eb7407',
        'toolbarborder' => '#de6f0a',
        'bg' => '#ffffff',
        'headerbg' => '#282F36',
        'menubg' => '#ff9636',
        'menutabs' => '#ffffff',
        'menuttabsactivetext' => '#ff9636',
        'sidebar' => '#fff0e3',
        'sidebartopbg' => '#fff0e3',
        'sidebarbottombg' => '#FE7900',
        'sidebarborders' => '#e3e3e3',
        'sidebartext' => '#3b3b3b',
        'footer' => '#282F36',
        'toolbartext' => '#ffffff',
        'menutext' => '#282F36',
        'titleslogan' => '#ffffff',
        'text' => '#3b3b3b',
        'heading' => '#FE7900',
        'link' => '#0073b6',
      ),
    ),
    'atrium' => array(
      'title' => t('Atrium'),
      'base' => '#0073b6',
      'colors' => array(
        'top' => '#4DAD4A',
        'bottom' => '#4DAD4A',
        'toolbarbtn' => '#4DAD4A',
        'toolbarborder' => '#4DAD4A',
        'bg' => '#F0F0F3',
        'contentareabg' => '#ffffff',
        'headerbg' => '#3c883a',
        'menubg' => '#ffffff',
        'menutabs' => '#F0F0F3',
        'menuttabsactivetext' => '#3E3F47',
        'sidebar' => '#F0F0F3',
        'sidebartopbg' => 'transparent',
        'sidebarbottombg' => 'transparent',
        'sidebarborders' => 'transparent',
        'sidebarheadertext' => '#666',
        'sidebartext' => '#3b3b3b',
        'footer' => '#8C8F98',
        'toolbartext' => '#fffeff',
        'menutext' => '#8C8F98',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'heading' => '#5bbd5b',
        'link' => '#0071B3',
        'linkactive' => '#23aeff',
        'linkhover' => '#018fe2',
      ),
    ),
  ),

  // Gradient definitions.
  'gradients' => array(
    array(
      // (x, y, width, height).
      'dimension' => array(0, 0, 0, 0),
      // Direction of gradient ('vertical' or 'horizontal').
      'direction' => 'vertical',
      // Keys of colors to use for the gradient.
      'colors' => array('top', 'bottom'),
    ),
  ),

);
